Description: Fix compilation with Ogre-1.8
Origin: https://build.opensuse.org/package/files?package=funguloids&project=games

--- a/include/mpakogre.h
+++ b/include/mpakogre.h
@@ -54,7 +54,7 @@ public:
 	FileInfoListPtr listFileInfo(bool recursive = true, bool dirs = false);
 
 	StringVectorPtr find(const String &pattern, bool recursive = true, bool dirs = false);
-	FileInfoListPtr findFileInfo(const String &pattern, bool recursive, bool dirs = false);
+	FileInfoListPtr findFileInfo(const String &pattern, bool recursive, bool dirs = false) const;
 
 	bool exists(const String &filename);
 	time_t getModifiedTime(const String& filename);
--- a/src/mpakogre.cpp
+++ b/src/mpakogre.cpp
@@ -180,10 +180,10 @@ StringVectorPtr MPakArchive::find(const
 	return ret;
 }
 
-FileInfoListPtr MPakArchive::findFileInfo(const String &pattern, bool recursive, bool dirs) {
+FileInfoListPtr MPakArchive::findFileInfo(const String &pattern, bool recursive, bool dirs) const {
 	FileInfoListPtr ret = FileInfoListPtr(new FileInfoList());
 
-	FileInfoList::iterator i, iend;
+	FileInfoList::const_iterator i, iend;
 	iend = mFileList.end();
 	for(i = mFileList.begin(); i != iend; ++i) {
 		if(StringUtil::match(i->filename, pattern, true))
--- a/src/openalsoundsystem.cpp
+++ b/src/openalsoundsystem.cpp
@@ -35,16 +35,16 @@
 #include "playlist.h"
 #include "mpakogre.h"
 
-template<> OpenALSoundSystem* Singleton<OpenALSoundSystem>::ms_Singleton = 0;
+template<> OpenALSoundSystem* Singleton<OpenALSoundSystem>::msSingleton = 0;
 
 OpenALSoundSystem* OpenALSoundSystem::getSingletonPtr() {
-	return ms_Singleton;
+	return msSingleton;
 }
 
 
 OpenALSoundSystem& OpenALSoundSystem::getSingleton() {
-	assert(ms_Singleton);
-	return *ms_Singleton;
+	assert(msSingleton);
+	return *msSingleton;
 }
 
 
--- a/src/objectsystem.cpp
+++ b/src/objectsystem.cpp
@@ -26,7 +26,7 @@
 #include "objectsystem.h"
 #include "game.h"
 
-template<> ObjectSystem* Singleton<ObjectSystem>::ms_Singleton = 0;
+template<> ObjectSystem* Singleton<ObjectSystem>::msSingleton = 0;
 
 
 // ObjectSystem constructor
@@ -135,11 +135,11 @@ void ObjectSystem::findFreePosition(Vect
 
 
 ObjectSystem *ObjectSystem::getSingletonPtr() {
-	return ms_Singleton;
+	return msSingleton;
 }
 
 ObjectSystem &ObjectSystem::getSingleton() {
-	assert(ms_Singleton);
-	return *ms_Singleton;
+	assert(msSingleton);
+	return *msSingleton;
 }
 
--- a/src/scriptsystem.cpp
+++ b/src/scriptsystem.cpp
@@ -38,7 +38,7 @@
 #include "mpakogre.h"
 #include <vector>
 
-template<> ScriptSystem* Singleton<ScriptSystem>::ms_Singleton = 0;
+template<> ScriptSystem* Singleton<ScriptSystem>::msSingleton = 0;
 
 
 // Log error messages
@@ -564,12 +564,12 @@ bool ScriptSystem::executeScript(const c
 
 
 ScriptSystem *ScriptSystem::getSingletonPtr() {
-	return ms_Singleton;
+	return msSingleton;
 }
 
 ScriptSystem &ScriptSystem::getSingleton() {
-	assert(ms_Singleton);
-	return *ms_Singleton;
+	assert(msSingleton);
+	return *msSingleton;
 }
 
 
